My Radix Wallet is not working

Wallet Version

Ensure that you are using the latest version of the Radix Wallet available from:
https://wallet.radixdlt.com/

Older versions of the wallet (v1.0.x) do not work with the current archive nodes.

Issues with Official Archive Nodes

Your wallet may be having problems connecting to the official Radix Archive nodes. RadixDLT run several load balanced, regional archive nodes (Ireland, India, Australia and the United States).

  1. If the problem is localised to a region, then using a VPN to connect to a different region may resolve the issue.

  2. You can connect the wallet to a Community Archive node by following the instructions here:

1 Like